UbuntuUpdates.org

Package "glib2.0"




Name: glib2.0

Description:

This package is just an umbrella for a group of other packages, it has no description.
Description samples from packages in group:

  • GLib library of C routines - installed tests

Latest version: *DELETED*
Release: focal (20.04)
Level: proposed
Repository: universe

Links



Other versions of "glib2.0" in Focal

Repository Area Version
base main 2.64.2-1~fakesync1
base universe 2.64.2-1~fakesync1
updates main 2.64.6-1~ubuntu20.04.1
updates universe 2.64.6-1~ubuntu20.04.1

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: *DELETED* 2021-02-08 12:07:04 UTC
No changelog for deleted or moved packages.

Version: 2.64.6-1~ubuntu20.04.1 2021-01-19 23:07:06 UTC

  glib2.0 (2.64.6-1~ubuntu20.04.1) focal; urgency=medium

  [ Iain Lane ]
  * New upstream release (LP: #1907433), fixing bugs:
    - Ensure g_subprocess_communicate_async() never blocks
    - Fix large writes in gfileutils
    - Fix splice behavior on cancellation
    - gdatetime: Avoid integer overflow creating dates too far in the past
    - gdesktopappinfo: Fix unnecessarily copied and leaked URI list
    - gthreadedresolver: faulty logic in parse_res_txt
    - gtk3/glib crash on gimp
    - gvariant: Ensure GVS.depth is initialised
    - trash portal: Handle portal failures
  * gbp.conf: Set upstream branch to upstream/2.64.x
  * Drop patches applied upstream:
    - glib-compile-resources-Fix-exporting-on-Visual-Studio.patch
    - gdesktopappinfo-Fix-unnecessarily-copied-and-leaked-URI-l.patch
  * Revert changes from Debian which we don't need in this SRU:
    + Revert "d/tests/build: Don't exercise static linking for GIO"
    + control{,.in}: Re-lower libmount BD version.
      The problems that prompted this to be raised happened post-focal.

 -- Iain Lane <email address hidden> Wed, 09 Dec 2020 11:23:14 +0000

1907433 [SRU] New stable release 2.64.6

Version: *DELETED* 2020-07-16 14:07:21 UTC
No changelog for deleted or moved packages.

Version: 2.64.3-1~ubuntu20.04.1 2020-06-23 23:07:21 UTC

  glib2.0 (2.64.3-1~ubuntu20.04.1) focal; urgency=medium

  * No-change backport from unstable / groovy to focal (LP: #1883694)
  * control, gbp.conf: Use the ubuntu/focal branch

1883694 [SRU] New upstream release 2.64.3

Version: *DELETED* 2020-04-18 20:07:11 UTC
No changelog for deleted or moved packages.



About   -   Send Feedback to @ubuntu_updates